Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> Security - PHP Nuke
Author Message
Mike69
New Member
New Member


Joined: Sep 22, 2002
Posts: 3

PostPosted: Sun Dec 26, 2004 2:28 pm Reply with quote

I was running:

nuke 6.5
sentine 1.2
php 4.9
phpbb .06

I was planning on upgrading during xmas break but I was hacked last night.

Today I:
upgraded to nuke 7.6 pl 2.8
installed the lated sentinel
Upgraded to phpbb .11
upgraded to php .10

All posts show up as "Array" but the data in the db is fine, if I try and edit them I can view them fine. Private messaging is working fine.

Other phpbbs on my server work fine.

URL is Only registered users can see links on this board! Get registered or login!

Any suggestions?


Thanks mike
 
View user's profile Send private message
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17086

PostPosted: Sun Dec 26, 2004 2:37 pm Reply with quote

How do you know you were hacked? That doesn't sound like a hack. It sounds like maybe a block or an addon was added that has mess things up. Did you try to apply the v2.11.0 PHPBB fix maybe?
 
View user's profile Send private message
Mike69
PostPosted: Sun Dec 26, 2004 2:57 pm Reply with quote

It was like that when I woke up this morning...I didn't try and upgrade until after I found the problem.


I assume it was hacekd since I didn't do anything and I got 47 of these from sentinel this moring:
Only registered users can see links on this board! Get registered or login!
 
Raven
PostPosted: Sun Dec 26, 2004 3:07 pm Reply with quote

Those are hack attempts. NukeSentinel traps those. I think something else has changed.
 
Mike69
PostPosted: Sun Dec 26, 2004 3:33 pm Reply with quote

I downgraded back to php .9 and it works now...thanks for the help!!
 
PHrEEkie
Subject Matter Expert


Joined: Feb 23, 2004
Posts: 358

PostPosted: Sun Dec 26, 2004 4:36 pm Reply with quote

Your upgrade to php .10 is probably what broke the array functions. After upgrading the php to .10, you must update the Zend Optimizer or a bug appears that affects the foreach function in the php core.

PHrEEk

_________________
PHP - Breaking your legacy scripts one build at a time. 
View user's profile Send private message
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> Security - PHP Nuke

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©